Log4j 1.2.7

## org.apache.log4j.xml
Class XMLLayout

    java.lang.Object
      |
      +--org.apache.log4j.Layout
            |
            +--org.apache.log4j.xml.XMLLayout

All Implemented Interfaces:
  OptionHandler

public class XMLLayout
extends Layout

The output of the XMLLayout consists of a series of log4j:event elements as defined in the log4j.dtd. It does not output a complete well-formed XML file. The output is designed to be included as an external entity in a separate file to form a correct XML file.

For example, if `abc` is the name of the file where the XMLLayout ouput goes, then a well-formed XML file would be:

    <?xml version="1.0" ?>

    <!DOCTYPE log4j:eventSet SYSTEM "log4j.dtd" [<!ENTITY data SYSTEM "abc">]>

    <log4j:eventSet version="1.2" xmlns:log4j="http://jakarta.apache.org/log4j/">
      &data;
    </log4j:eventSet>

This approach enforces the independence of the XMLLayout and the appender where it is embedded.

The `version` attribute helps components to correctly intrepret output generated by XMLLayout. The value of this attribute should be "1.1" for output generated by log4j versions prior to log4j 1.2 (final release) and "1.2" for relase 1.2 and later.

Since:
  0.9.0
Author:
  Ceki Gülcü

Fields inherited from class org.apache.log4j.Layout
`LINE_SEP, LINE_SEP_LEN`

Constructor Summary
`XMLLayout()`

Method Summary
`void` `activateOptions()` No options to activate.
`String` `format(LoggingEvent event)` Formats a `LoggingEvent` in conformance with the log4j.dtd.
`boolean` `getLocationInfo()` Returns the current value of the LocationInfo option.
`boolean` `ignoresThrowable()` The XMLLayout prints and does not ignore exceptions.
`void` `setLocationInfo(boolean flag)` The LocationInfo option takes a boolean value.

Methods inherited from class org.apache.log4j.Layout
`getContentType, getFooter, getHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLLayout

    public XMLLayout()

Method Detail

### setLocationInfo

    public void setLocationInfo(boolean flag)

  The LocationInfo option takes a boolean value. By default, it is set to false which means there will be no location information output by this layout. If the the option is set to true, then the file name and line number of the statement at the origin of the log statement will be output.

  If you are embedding this layout within an `SMTPAppender` then make sure to set the LocationInfo option of that appender as well.

### getLocationInfo

    public boolean getLocationInfo()

  Returns the current value of the LocationInfo option.

### activateOptions

    public void activateOptions()

  No options to activate.

### format

    public String format(LoggingEvent event)

  Formats a `LoggingEvent` in conformance with the log4j.dtd.
  Overrides:
    `format` in class `Layout`

### ignoresThrowable

    public boolean ignoresThrowable()

  The XMLLayout prints and does not ignore exceptions. Hence the return value `false`.
  Overrides:
    `ignoresThrowable` in class `Layout`

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.